name: Open Source Project
description: Extend an Open Source project of your choosing to add some nice features.
days: 7
allow_longer: true
avg_attempts: 1
type: project
public_for_students: true
miller: sh
ects: 5
allow_ai: true
goals:
    legacy_analyze:
        analyze: 1
    legacy_impl:
        create: 2
    legacy_contrib:
        apply: 1
    presentation:
        title: Present your work in a public presentation.
